Update a scheduled mass message
curl --request PATCH \
--url https://api.fanvue.com/v1/chats/mass-messages/{messageUuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
--data '
{
"text": "<string>",
"mediaUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"price": 301,
"includedLists": {
"smartListIds": [],
"customListUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"excludedLists": {
"smartListIds": [],
"customListUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"scheduledAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.fanvue.com/v1/chats/mass-messages/{messageUuid}"
payload = {
"text": "<string>",
"mediaUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"price": 301,
"includedLists": {
"smartListIds": [],
"customListUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"excludedLists": {
"smartListIds": [],
"customListUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"scheduledAt": "2023-11-07T05:31:56Z"
}
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
text: '<string>',
mediaUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
price: 301,
includedLists: {smartListIds: [], customListUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
excludedLists: {smartListIds: [], customListUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
scheduledAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.fanvue.com/v1/chats/mass-messages/{messageUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Mass messages
Update a scheduled mass message
Update a scheduled mass message before it is sent.
Only scheduled mass messages can be updated.
PATCH
/
v1
/
chats
/
mass-messages
/
{messageUuid}
Update a scheduled mass message
curl --request PATCH \
--url https://api.fanvue.com/v1/chats/mass-messages/{messageUuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
--data '
{
"text": "<string>",
"mediaUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"price": 301,
"includedLists": {
"smartListIds": [],
"customListUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"excludedLists": {
"smartListIds": [],
"customListUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"scheduledAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.fanvue.com/v1/chats/mass-messages/{messageUuid}"
payload = {
"text": "<string>",
"mediaUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"price": 301,
"includedLists": {
"smartListIds": [],
"customListUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"excludedLists": {
"smartListIds": [],
"customListUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"scheduledAt": "2023-11-07T05:31:56Z"
}
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
text: '<string>',
mediaUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
price: 301,
includedLists: {smartListIds: [], customListUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
excludedLists: {smartListIds: [], customListUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
scheduledAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.fanvue.com/v1/chats/mass-messages/{messageUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scope
write:chat— Create new chats and send messages. This scope is required for any chat-related actions that modify data.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Path Parameters
Body
application/json
Response
Mass message updated successfully
Was this page helpful?